### Method

# Meta Window add_external_constraint

#### Declaration [src]

    void
    meta_window_add_external_constraint (
      MetaWindow* window,
      MetaExternalConstraint* constraint
    )

#### Description [src]

Adds an external constraint to the window.

The constraint object is referenced by the window, so the caller should release its own reference when no longer needed.

#### Parameters

`constraint`

  Type: `MetaExternalConstraint`

  A `MetaExternalConstraint`.

  The data is owned by the caller of the method.